al_set_display_option(3)

NAME

al_set_display_option - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_set_display_option(ALLEGRO_DISPLAY *display, int option, int value)

DESCRIPTION

Change an option that was previously set for a display. After displays are created, they take on the options set with al_set_new_display_option(3). Calling al_set_new_display_option(3) subsequently only changes options for newly created displays, and doesn't touch the options of already created displays. al_set_display_option(3) allows changing some of these values. Not all display options can be changed or changing them will have no effect. Changing options other than those listed below is undefined.

•   ALLEGRO_SUPPORTED_ORIENTATIONS - This can be changed to allow new or restrict previously enabled orientations of the screen/device. See al_set_new_display_option(3) for more information on this option.

SINCE

5.1.5

SEE ALSO

al_set_new_display_option(3)